import { ISecureElement, DeviceFeature, AndroidKeyGenOptions, AndroidKeyGenProvider } from './typescript/index.d';
export declare class SecureElement implements ISecureElement {
    private readonly _secureElementModule;
    constructor();
    decrypt(key: string, value: string, opts: AndroidKeyGenOptions): Promise<string | null>;
    encrypt(key: string, value: string, opts: AndroidKeyGenOptions): Promise<string | null>;
    clearElement(key: string, keyProvider: AndroidKeyGenProvider): Promise<void>;
    clearAll(keyProvider: AndroidKeyGenProvider): Promise<void>;
    isSecureDevice(): Promise<boolean>;
    getDeviceFeatures(): Promise<[DeviceFeature]>;
    performAuthentication(withFeature: DeviceFeature): Promise<boolean>;
}
